Bug 810998 - RFE: Advanced Network Configuration Dialog Improvements
Summary: RFE: Advanced Network Configuration Dialog Improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager
Version: 5.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Alex Wood
QA Contact: Entitlement Bugs
URL:
Whiteboard:
Depends On:
Blocks: 771748 827225
TreeView+ depends on / blocked
 
Reported: 2012-04-09 20:11 UTC by Matt Reid
Modified: 2013-04-29 14:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Testing Proxy Connection The Proxy Configuration dialog now allows users to test a connection to a proxy after entering a value.
Clone Of:
Environment:
Last Closed: 2013-01-08 03:49:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Current Dialog (21.17 KB, image/png)
2012-04-09 20:11 UTC, Matt Reid
no flags Details
proxy configuration (25.68 KB, image/png)
2012-06-28 15:41 UTC, J.C. Molet
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0033 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-01-08 08:38:27 UTC

Description Matt Reid 2012-04-09 20:11:23 UTC
Description of problem:
Current proxy config screen is limited in size and scope. Users do not have much room to see the URL they are inputting, and there is no way to know after putting in the proxy info if it works other than trying to use Subscription Manager. It would be nice if there was a "Test Connection" functionality, so that they could find typos before leaving the screen and hitting errors. 

I'd also like to see the title of the dialog change from "Advanced Network Config" to something like "Proxy Configuration". As far as I can tell, the only network settings they can alter are proxy related, so I don't see a reason to not include the word proxy in the name.

Additional info:
Wireframe of new design can be seen at - 

https://engineering.redhat.com/trac/subscription-manager/attachment/wiki/GUIRedesign/Proxy%20Config.png

Comment 1 Matt Reid 2012-04-09 20:11:49 UTC
Created attachment 576299 [details]
Current Dialog

Comment 2 RHEL Program Management 2012-04-11 12:18:42 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Comment 3 Alex Wood 2012-06-26 20:05:18 UTC
commit d12ddfd4ec2089c8be0e32c211bdaa3ee5738063
Refs: <origin/awood/810998>, 810998, subscription-manager-1.0.4-1-39-gd12ddfd
Author:     Alex Wood <awood@redhat.com>
AuthorDate: Thu Jun 14 07:34:36 2012 -0400
Commit:     Alex Wood <awood@redhat.com>
CommitDate: Tue Jun 26 10:47:25 2012 -0400

    810998: Add a button to test a proxy connection.

    Also change dialog window title.

Comment 4 J.C. Molet 2012-06-28 15:41:48 UTC
Created attachment 595056 [details]
proxy configuration

Tested with:
subscription-manager-gui-1.0.5-1.git.31.a3d5de2.el5


The window can be re-sized to view the entirety of your entries, the window has been re-titled to "Proxy Configuration", and the Test Connection button works through happy-path scenarios.

Marking VERIFIED.

Comment 6 errata-xmlrpc 2013-01-08 03:49:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0033.html


Note You need to log in before you can comment on or make changes to this bug.